Loading...
Searching...
No Matches
_etmv3_data_t Struct Reference
OpenCSD Library : Trace Packet Types

`#include <trc_pkt_types_etmv3.h>`

Collaboration diagram for _etmv3_data_t:
[legend]

## Public Attributes

uint32_t | value
ocsd_pkt_vaddr | addr
struct { |
uint32_t ooo_tag:2 |
uint32_t be:1 |
uint32_t update_be:1 |
uint32_t update_addr:1 |
uint32_t update_dval:1 |
}; |  |

## Detailed Description

Definition at line 111 of file trc_pkt_types_etmv3.h.

## Member Data Documentation

## [struct]

struct { ... } _etmv3_data_t

## addr

ocsd_pkt_vaddr _etmv3_data_t::addr

current data address

Definition at line 114 of file trc_pkt_types_etmv3.h.

## be

uint32_t _etmv3_data_t::be

data transfers big-endian

Definition at line 118 of file trc_pkt_types_etmv3.h.

## ooo_tag

uint32_t _etmv3_data_t::ooo_tag

Out of order data tag.

Definition at line 117 of file trc_pkt_types_etmv3.h.

## update_addr

uint32_t _etmv3_data_t::update_addr

updated address

Definition at line 120 of file trc_pkt_types_etmv3.h.

## update_be

uint32_t _etmv3_data_t::update_be

updated Be flag

Definition at line 119 of file trc_pkt_types_etmv3.h.

## update_dval

uint32_t _etmv3_data_t::update_dval

updated data value

Definition at line 121 of file trc_pkt_types_etmv3.h.

## value

uint32_t _etmv3_data_t::value

Data value

Definition at line 113 of file trc_pkt_types_etmv3.h.

The documentation for this struct was generated from the following file:

- /build/libopencsd-16huoW/libopencsd-1.4.1/decoder/include/opencsd/etmv3/trc_pkt_types_etmv3.h